Liblinphone: linphone::VideoActivationPolicy Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::VideoActivationPolicy Class Reference

Object describing policy regarding video streams establishments. More...

`#include <video_activation_policy.hh>`

Inheritance diagram for linphone::VideoActivationPolicy:

## Public Member Functions
LINPHONECXX_PUBLIC | VideoActivationPolicy (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneVideoActivationPolicy * | cPtr ()
LINPHONECXX_PUBLIC bool | getAutomaticallyAccept () const
| Gets the value for the automatically accept video policy.
LINPHONECXX_PUBLIC void | setAutomaticallyAccept (bool enable)
| Sets the value for the automatically accept video policy.
LINPHONECXX_PUBLIC bool | getAutomaticallyInitiate () const
| Gets the value for the automatically initiate video policy.
LINPHONECXX_PUBLIC void | setAutomaticallyInitiate (bool enable)
| Sets the value for the automatically initiate video policy.

## Detailed Description

Object describing policy regarding video streams establishments.

Use setAutomaticallyAccept() and setAutomaticallyInitiate() to tell the Core to automatically accept or initiate video during calls. Even if disabled, you'll still be able to add it later while the call is running.

## Member Function Documentation

## ◆ getAutomaticallyAccept()

LINPHONECXX_PUBLIC bool linphone::VideoActivationPolicy::getAutomaticallyAccept | ( |  | ) | const

Gets the value for the automatically accept video policy.

Returns
  whether or not to automatically accept video requests is enabled

## ◆ getAutomaticallyInitiate()

LINPHONECXX_PUBLIC bool linphone::VideoActivationPolicy::getAutomaticallyInitiate | ( |  | ) | const

Gets the value for the automatically initiate video policy.

Returns
  whether or not to automatically initiate video calls is enabled

## ◆ setAutomaticallyAccept()

LINPHONECXX_PUBLIC void linphone::VideoActivationPolicy::setAutomaticallyAccept | ( | bool | enable | ) |

Sets the value for the automatically accept video policy.

Parameters

  enable | whether or not to enable automatically accept video requests

## ◆ setAutomaticallyInitiate()

LINPHONECXX_PUBLIC void linphone::VideoActivationPolicy::setAutomaticallyInitiate | ( | bool | enable | ) |

Sets the value for the automatically initiate video policy.

Parameters

  enable | whether or not to enable automatically initiate video calls

The documentation for this class was generated from the following file:

- video_activation_policy.hh